--
-- $Id$
--
-- Script om een aantal kenmerkwaarden bij opdrachten te wijzigen (2 naar 3 underscores).
-- De locatieomschrijvingen in Servicenow worden aangepast en dit moet ook aangepast worden Facilitor.

DEFINE thisfile = 'HCAS#56970.SQL'
DEFINE dbuser   = '^HCAS'
DEFINE custid   = 'HCAS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE mld_kenmerkopdr
   SET mld_kenmerkopdr_waarde = REPLACE (mld_kenmerkopdr_waarde, '__', '___')
 WHERE     mld_kenmerk_key = 497  -- Dit is het kenmerk voor de locatieomschrijvingen bij de opdrachten met opdrachttype Servicenow
       AND INSTR (mld_kenmerkopdr_waarde, '__') > 0
       AND INSTR (mld_kenmerkopdr_waarde, '___') = 0;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile